IOExceptionWithCause (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io

## Class IOExceptionWithCause

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.io.IOExceptionWithCause

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TaggedIOException

  Deprecated.
  (since 2.5) use `IOException` instead

      @Deprecated
      public class IOExceptionWithCause
      extends java.io.IOException

  Subclasses IOException with the `Throwable` constructors missing before Java 6.
  Since:
    1.4
  Version:
    $Id: IOExceptionWithCause.java 1643107 2014-12-03 13:05:23Z sebb $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Deprecated. Defines the serial version UID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOExceptionWithCause(java.lang.String message, java.lang.Throwable cause)` Deprecated. Constructs a new instance with the given message and cause.
    `IOExceptionWithCause(java.lang.Throwable cause)` Deprecated. Constructs a new instance with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Deprecated.
      Defines the serial version UID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IOExceptionWithCause

          public IOExceptionWithCause(java.lang.String message,
                              java.lang.Throwable cause)

      Deprecated.
      Constructs a new instance with the given message and cause.

      As specified in `Throwable`, the message in the given `cause` is not used in this instance's message.

      Parameters:
        `message` - the message (see `Throwable.getMessage()`)
        `cause` - the cause (see `Throwable.getCause()`). A `null` value is allowed.

    - #### IOExceptionWithCause

          public IOExceptionWithCause(java.lang.Throwable cause)

      Deprecated.
      Constructs a new instance with the given cause.

      The message is set to `cause==null ? null : cause.toString()`, which by default contains the class and message of `cause`. This constructor is useful for call sites that just wrap another throwable.

      Parameters:
        `cause` - the cause (see `Throwable.getCause()`). A `null` value is allowed.

Copyright (c) 2002-2016 Apache Software Foundation